Package org.apache.solr.common.cloud

## Interface CollectionPropsWatcher

    public interface CollectionPropsWatcher

Callback registered with `ZkStateReader.registerCollectionPropsWatcher(String, CollectionPropsWatcher)` and called whenever the collection properties change.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `onStateChanged​(Map<String,​String> collectionProperties)` Called when the collection properties we are registered against has a change of state

### Method Detail

#### onStateChanged

    boolean onStateChanged​(Map<String,​String> collectionProperties)

Called when the collection properties we are registered against has a change of state

Note that, due to the way Zookeeper watchers are implemented, a single call may be the result of several state changes

Parameters:
  `collectionProperties` - the new collection properties
Returns:
  true if the watcher should be removed